stat.Chen {sma} | R Documentation

## Apply Chen's single slide method

### Description

Applies Chens single slide method.

### Usage

    stat.Chen(RG,layout,norm="p",image.id=1,pout=TRUE)

### Arguments

`RG`

a list with 4 elements, each represents a matrix with p rows for p genes and n columns for n slides.
The first element "R" contains the raw red intensities from slide i=1,...,n .
Similarly, the second element "G" contains the raw green intensities.
The third element "Rb" contains the background red intensities and
the fourth element "Gb" contains the background green intensities.
This list structure can be generated by the interactive function `init.data`.

`layout` | a list specifying the dimensions of the spot matrix and the grid matrix. This can be generated by calling `init.grid`.
`image.id` | Specifies image to which Chen's method will be applied.

`norm`

Character string, one of "n", "m", "l", "p" or "s". This argument specifies the type of normalization method to be performed: "n" no normalization between the 2 channels; "m" `median` normalization, which sets the median of log intensity ratios to zero; "l" global `lowess` normalization; "p" print-tip group lowess normalization and "s" scaled print-tip group lowess normalization. The default method is set to print-tip normalization.

`pout` | if TRUE, an M vs. A plot will be produced with limits due to Chen 95% and 99%. If FALSE, returns upper and lower bounds at 95% and 99% levels.

### Value

List containing the following components:

`lower01` | The lower limit of 99% confidence interval
`upper01` | The upper limit of 99% confidence interval
`lower05` | The lower limit of 95% confidence interval
`upper05` | The upper limit of 95% confidence interval

### Author(s)

Ben Bolstad, bolstad@stat.berkeley.edu

### References

Chen, Y., E.R. Dougherty, and M.L. Bittner. Ratio-based decisions and the quantitative analysis of cDNA microarray images. Journal of Biomedical Optics , Volume 2 (4), 364-374, 1997. (1997)

### See Also

`stat.ChurSap`,`stat.Newton`

### Examples

    data(MouseArray)
    ##mouse.setup <- init.grid()
    ##mouse.data <- init.data() ## see \emph{init.data}
    stat.Chen(mouse.data,mouse.setup,image.id=3)

[Package sma version 0.5.14 Index]